
Figure - Bug #118790
【AF】【EVT3】【Monkey】0614版本Monkey测异常停止（4+27个APK）
2023-06-15 10:11 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-15

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0614

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118761 问题相同

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-15 10:13 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118790

#2 - 2023-06-15 14:11 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118761 问题相同

设备1第一次停止, 错误信息如下，与 #118761 问题相同，已修复

------------

000109_persist_04270_230614_203425.log:264: 06-14 20:34:25.645  9041  9041 W Monkey  : * Error: A RuntimeException occurred:

000109_persist_04270_230614_203425.log:411: 06-14 20:34:25.789  9041  9041 W Monkey  : java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

com.android.server.wm.TaskDisplayArea.isSplitScreenModeActivated()' on a null object reference

000109_persist_04270_230614_203425.log:412: 06-14 20:34:25.789  9041  9041 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

000109_persist_04270_230614_203425.log:413: 06-14 20:34:25.789  9041  9041 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000109_persist_04270_230614_203425.log:414: 06-14 20:34:25.789  9041  9041 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

000109_persist_04270_230614_203425.log:415: 06-14 20:34:25.789  9041  9041 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000109_persist_04270_230614_203425.log:416: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

000109_persist_04270_230614_203425.log:417: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)
000109_persist_04270_230614_203425.log:418: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000109_persist_04270_230614_203425.log:419: 06-14 20:34:25.789  9041  9041 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000109_persist_04270_230614_203425.log:420: 06-14 20:34:25.789  9041  9041 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000109_persist_04270_230614_203425.log:421: 06-14 20:34:25.789  9041  9041 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000109_persist_04270_230614_203425.log:422: 06-14 20:34:25.789  9041  9041 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

000109_persist_04270_230614_203425.log:423: 06-14 20:34:25.789  9041  9041 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

000109_persist_04270_230614_203425.log:424: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2409)

000109_persist_04270_230614_203425.log:425: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2399)

000109_persist_04270_230614_203425.log:426: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1844)

000109_persist_04270_230614_203425.log:427: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)

000109_persist_04270_230614_203425.log:428: 06-14 20:34:25.789  9041  9041 W Monkey  :     at

com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

000109_persist_04270_230614_203425.log:429: 06-14 20:34:25.789  9041  9041 W Monkey  :

000109_persist_04270_230614_203425.log:600: 06-14 20:34:26.013  9041  9041 I Monkey  : Events injected: 17987

000109_persist_04270_230614_203425.log:735: 06-14 20:34:26.165  9041  9041 I Monkey  : :Sending rotation degree=0, persist=false

000109_persist_04271_230614_203427.log:481: 06-14 20:34:28.285  9041  9041 I Monkey  : // Generated profiling reports in /data/misc

000109_persist_04271_230614_203427.log:723: 06-14 20:34:28.373  9041  9041 I Monkey  : :Dropped: keys=7 pointers=5 trackballs=0 flips=0 rotations=0

000109_persist_04271_230614_203427.log:1015: 06-14 20:34:28.461  9041  9041 I Monkey  : ## Network stats: elapsed time=3262481ms (0ms mobile, 0ms wifi, 3262481ms

not connected)

000109_persist_04271_230614_203427.log:1052: 06-14 20:34:28.549  9041  9041 W Monkey  : * System appears to have crashed at event 17987 of 32000000 using seed

1234567

------------

设备1第二次停止,错误信息如下，与 #118761 问题相同，已修复

------------

000077_persist_04028_230614_214711.log:1560: 06-14 21:47:14.238  7021  7021 W Monkey  : * Error: A RuntimeException occurred:

000077_persist_04028_230614_214711.log:1561: 06-14 21:47:14.238  7021  7021 W Monkey  : java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

com.android.server.wm.TaskDisplayArea.isSplitScreenModeActivated()' on a null object reference

000077_persist_04028_230614_214711.log:1562: 06-14 21:47:14.238  7021  7021 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

000077_persist_04028_230614_214711.log:1563: 06-14 21:47:14.238  7021  7021 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000077_persist_04028_230614_214711.log:1564: 06-14 21:47:14.238  7021  7021 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

000077_persist_04028_230614_214711.log:1565: 06-14 21:47:14.238  7021  7021 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000077_persist_04028_230614_214711.log:1566: 06-14 21:47:14.238  7021  7021 W Monkey  :     at

android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

000077_persist_04028_230614_214711.log:1567: 06-14 21:47:14.238  7021  7021 W Monkey  :     at

com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

000077_persist_04028_230614_214711.log:1568: 06-14 21:47:14.238  7021  7021 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000077_persist_04028_230614_214711.log:1569: 06-14 21:47:14.238  7021  7021 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000077_persist_04028_230614_214711.log:1570: 06-14 21:47:14.238  7021  7021 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000077_persist_04028_230614_214711.log:1571: 06-14 21:47:14.238  7021  7021 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000077_persist_04028_230614_214711.log:1572: 06-14 21:47:14.238  7021  7021 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

000077_persist_04028_230614_214711.log:1573: 06-14 21:47:14.238  7021  7021 I Monkey  : Events injected: 38886

000077_persist_04028_230614_214711.log:1574: 06-14 21:47:14.240  7021  7021 I Monkey  : :Sending rotation degree=0, persist=false

000077_persist_04028_230614_214711.log:1784: 06-14 21:47:14.292  7021  7021 I Monkey  : :Dropped: keys=108 pointers=2 trackballs=0 flips=0 rotations=0

000077_persist_04028_230614_214711.log:1785: 06-14 21:47:14.292  7021  7021 I Monkey  : ## Network stats: elapsed time=8914721ms (0ms mobile, 0ms wifi, 8914721ms

not connected)

000077_persist_04028_230614_214711.log:1786: 06-14 21:47:14.292  7021  7021 W Monkey  : * System appears to have crashed at event 38886 of 2500000 using seed 20
------------

设备2, 错误信息如下，与 #118761 问题相同，已修复

------------

000109_persist_00878_230614_223253.log:1676: 06-14 22:32:54.012 10017 10017 W Monkey  : * Error: A RuntimeException occurred:

000109_persist_00878_230614_223253.log:1678: 06-14 22:32:54.012 10017 10017 W Monkey  : java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

com.android.server.wm.TaskDisplayArea.isSplitScreenModeActivated()' on a null object reference

000109_persist_00878_230614_223253.log:1679: 06-14 22:32:54.012 10017 10017 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

000109_persist_00878_230614_223253.log:1680: 06-14 22:32:54.012 10017 10017 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000109_persist_00878_230614_223253.log:1681: 06-14 22:32:54.012 10017 10017 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

000109_persist_00878_230614_223253.log:1682: 06-14 22:32:54.012 10017 10017 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000109_persist_00878_230614_223253.log:1683: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

000109_persist_00878_230614_223253.log:1684: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

000109_persist_00878_230614_223253.log:1685: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000109_persist_00878_230614_223253.log:1686: 06-14 22:32:54.012 10017 10017 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000109_persist_00878_230614_223253.log:1687: 06-14 22:32:54.012 10017 10017 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000109_persist_00878_230614_223253.log:1688: 06-14 22:32:54.012 10017 10017 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000109_persist_00878_230614_223253.log:1689: 06-14 22:32:54.012 10017 10017 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

000109_persist_00878_230614_223253.log:1690: 06-14 22:32:54.012 10017 10017 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

000109_persist_00878_230614_223253.log:1691: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2409)

000109_persist_00878_230614_223253.log:1692: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2399)

000109_persist_00878_230614_223253.log:1693: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1844)

000109_persist_00878_230614_223253.log:1694: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)

000109_persist_00878_230614_223253.log:1695: 06-14 22:32:54.012 10017 10017 W Monkey  :     at

com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

000109_persist_00878_230614_223253.log:1696: 06-14 22:32:54.012 10017 10017 W Monkey  :

000109_persist_00878_230614_223253.log:1697: 06-14 22:32:54.012 10017 10017 I Monkey  : Events injected: 12056

000109_persist_00878_230614_223253.log:1699: 06-14 22:32:54.013 10017 10017 I Monkey  : :Sending rotation degree=0, persist=false

000109_persist_00881_230614_223256.log:196: 06-14 22:32:55.262 10017  3239 I Monkey  :     // Allowing start of Intent {

cmp=com.youku.phone/com.youku.v2.HomePageEntry } in package com.youku.phone

000109_persist_00881_230614_223256.log:227: 06-14 22:32:55.275 10017  3239 I Monkey  :     // activityResuming(com.youku.phone)

000109_persist_00882_230614_223256.log:197: 06-14 22:32:56.036 10017 10017 I Monkey  : // Generated profiling reports in /data/misc

000109_persist_00882_230614_223256.log:206: 06-14 22:32:56.039 10017 10017 I Monkey  : :Dropped: keys=4 pointers=3 trackballs=0 flips=0 rotations=0

000109_persist_00882_230614_223256.log:208: 06-14 22:32:56.039 10017 10017 I Monkey  : ## Network stats: elapsed time=2226823ms (0ms mobile, 0ms wifi, 2226823ms

not connected)

000109_persist_00882_230614_223256.log:209: 06-14 22:32:56.039 10017 10017 W Monkey  : * System appears to have crashed at event 12056 of 12000000 using seed

1234567

------------

#3 - 2023-07-03 17:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.3

在118761中跟踪

2025-07-04 3/4



#4 - 2023-07-03 17:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
